Sync libvpx 1.0.0-1 (main) from Debian unstable (main)

Bug #926580 reported by Oibaf on 2012-02-04
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
avidemux (Ubuntu)
Undecided
Unassigned
gst-plugins-bad0.10 (Ubuntu)
Undecided
Unassigned
libav (Ubuntu)
Undecided
Unassigned
libav-extra (Ubuntu)
Undecided
Unassigned
libvpx (Ubuntu)
Wishlist
Alessio Treglia
sludge (Ubuntu)
Undecided
Unassigned

Bug Description

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects ubuntu/libvpx
 status new
 importance wishlist
 subscribe ubuntu-sponsors
 done

Please sync libvpx 1.0.0-1 (main) from Debian unstable (main)

Changelog entries since current precise version 0.9.7.p1-2:

libvpx (1.0.0-1) unstable; urgency=low

  * New upstream release, "Duclair":
    + debian/libvpx1.install,
      debian/libvpx1.symbols,
      debian/control,
      debian/rules:
      - Update for new soname.

 -- Sebastian Dröge <email address hidden> Wed, 01 Feb 2012 09:50:13 +0100

Upstream changelog is available here:
https://code.google.com/p/webm/source/browse/CHANGELOG?repo=libvpx

Packages depending on libpvx should be rebuilt to use new libvpx1 and drop libvpx0.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8tBOoACgkQ+zwqqQYiYIoOuQCg6HLbpK7wrA3qhsELJAoMtF2W
4woAn1yZpRrJFh9jaNdCg7gpCNNcdItJ
=9bK7
-----END PGP SIGNATURE-----

Changed in libvpx (Ubuntu):
assignee: nobody → Alessio Treglia (quadrispro)
status: New → In Progress
Alessio Treglia (quadrispro) wrote :

This leads to a small transition, have you checked if the packages affected by this would need some port?

Changed in libvpx (Ubuntu):
assignee: Alessio Treglia (quadrispro) → nobody
assignee: nobody → Fabio Pedretti (oibaf)
status: In Progress → Incomplete
Alessio Treglia (quadrispro) wrote :

Unsubscribe sponsors for now.

Oibaf (oibaf) wrote :

No, I just trusted the upstream changelog:

  - Upgrading:
      This release is ABI incompatible with prior releases of libvpx, so the
      "major" version number has been bumped to 1. You must recompile your
      applications against the latest version of the libvpx headers. The
      API remains compatible, and this should not require code changes in most
      applications.

Alessio Treglia (quadrispro) wrote :

Yes, it is so, although the sync request looks clean (and I'm re-subscribing the sponsors team for this) we need to figure out which packages need to rebuild once the sync is done though.
Could you provide a list of reverse dependencies?

Changed in libvpx (Ubuntu):
assignee: Fabio Pedretti (oibaf) → nobody
status: Incomplete → New
Alessio Treglia (quadrispro) wrote :

A good list (but not exhaustive) is provided:

libav
libav-extra
gst-plugins-bad0.10
sludge

Changed in libvpx (Ubuntu):
assignee: nobody → Alessio Treglia (quadrispro)
status: New → In Progress
status: In Progress → Fix Released
Alessio Treglia (quadrispro) wrote :

This bug was fixed in the package libvpx - 1.0.0-1

---------------
libvpx (1.0.0-1) unstable; urgency=low

  * New upstream release, "Duclair":
    + debian/libvpx1.install,
      debian/libvpx1.symbols,
      debian/control,
      debian/rules:
      - Update for new soname.

 -- Sebastian Dröge <email address hidden> Wed, 01 Feb 2012 09:50:13 +0100

Alessio Treglia (quadrispro) wrote :

Fabio, sorry for the wrong attribution, I forgot to use the syncpackage's -s option.

Here we have a few of packages to rebuild, if you attach here the diffs, I'll sponsor them (if clean of course) as soon as possibile.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libav - 4:0.8-1ubuntu2

---------------
libav (4:0.8-1ubuntu2) precise; urgency=low

  * No-change rebuild to pick libvpx's new shlibs. (LP: #926580)
 -- Alessio Treglia <email address hidden> Thu, 09 Feb 2012 08:50:07 +0100

Changed in libav (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libav-extra - 4:0.8.0.1build1

---------------
libav-extra (4:0.8.0.1build1) precise; urgency=low

  * No-change rebuild to pick libvpx's new shlib. (LP: #926580)
 -- Alessio Treglia <email address hidden> Thu, 09 Feb 2012 09:03:13 +0100

Changed in libav-extra (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-bad0.10 - 0.10.22-2ubuntu6

---------------
gst-plugins-bad0.10 (0.10.22-2ubuntu6) precise; urgency=low

  * No-change rebuild to pick libvpx's new shlib. (LP: #926580)
 -- Alessio Treglia <email address hidden> Thu, 09 Feb 2012 09:15:02 +0100

Changed in gst-plugins-bad0.10 (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sludge - 2.1.2-3build1

---------------
sludge (2.1.2-3build1) precise; urgency=low

  * No-change rebuild to pick libvpx's new shlibs. (LP: #926580)
 -- Alessio Treglia <email address hidden> Thu, 09 Feb 2012 12:23:43 +0100

Changed in sludge (Ubuntu):
status: New → Fix Released
Changed in avidemux (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package avidemux - 1:2.5.4-0ubuntu11

---------------
avidemux (1:2.5.4-0ubuntu11) precise; urgency=low

  * No-change rebuild to pick libvpx's new shlib. (LP: #926580)
 -- Alessio Treglia <email address hidden> Thu, 09 Feb 2012 15:38:52 +0100

Changed in avidemux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers